//  I²C
//  ATtiny45 8 MHz internal clock 
//  slave with RGB LED onboard
//  referring to i2c_bridge_150511

#include <TinyWireS.h>  // include TinyWireS library
#define slaveRGB 0x26  // set address of slave with RGB LED

int redLED = 4;  // red LED
int greenLED = 1;  // green LED
int blueLED = 3;  // blue LED

void setup(){
  pinMode(redLED, OUTPUT);  // set up RGB LED
  pinMode(greenLED, OUTPUT);
  pinMode(blueLED, OUTPUT);
  TinyWireS.begin(slaveRGB);  // start I²C
  //  TinyWireS.onRequest(requestEvent);
}

void loop() {      
  byte masterIn = TinyWireS.receive();
  if (masterIn = 4) {
    redOn();
  }
  else if (masterIn = 1) {
    greenOn();
  }
  else if (masterIn = 3) {
    blueOn();
  }
  else {
    allOff();
  }
}

void redOn() {
  digitalWrite(redLED, LOW);
  digitalWrite(greenLED, HIGH);
  digitalWrite(blueLED, HIGH);
  uint8_t green = 1;
  TinyWireS.send(green);
}

void greenOn() {
  digitalWrite(redLED, HIGH);
  digitalWrite(greenLED, LOW);
  digitalWrite(blueLED, HIGH);
  uint8_t blue = 3;
  TinyWireS.send(blue);
}

void blueOn() {
  digitalWrite(redLED, HIGH);
  digitalWrite(greenLED, HIGH);
  digitalWrite(blueLED, LOW);
  uint8_t red = 1;
  TinyWireS.send(red);
}

void allOff() {
  digitalWrite(redLED, HIGH);
  digitalWrite(greenLED, HIGH);
  digitalWrite(blueLED, HIGH);
  uint8_t off = 4;
  TinyWireS.send(off);
}
