// I²C master sending and receiving

#include <TinyWireM.h>
#include <SoftwareSerial.h>
#define slaveAddress 0x26
SoftwareSerial mySerial (3, 4);
uint8_t byteOn = 4;
uint8_t byteOff= 0;
int data = 0;
void setup(){
  OSCCAL= 0x99;
  TinyWireM.begin();
  pinMode(3, INPUT);     
  pinMode(4, OUTPUT);  
  mySerial.begin(9600);
}

void loop(){
  redOn();
  mySerial.println(data);
  delay(1000);
  redOff();
  mySerial.println(data);
  delay(1000);
  /*TinyWireM.requestFrom(SlaveAddress, 1);
  int DataIn =  TinyWireM.receive();*/
}

void redOn() {
  TinyWireM.beginTransmission(slaveAddress);
  data = byteOn;
  TinyWireM.send(byteOn);            
  TinyWireM.endTransmission();
}

void redOff() {
  TinyWireM.beginTransmission(slaveAddress);
  data = byteOff;
  TinyWireM.send(byteOff);            
  TinyWireM.endTransmission();
}
