// slave with RGB LED receiving data, blinking, sending data
// I2C
#include <TinyWireS.h>
#define slave 0x26
uint8_t out = 0;
int red = 4;
int green = 1;
int blue = 3;  
byte in = 0;  
void setup(){
  pinMode(red, OUTPUT);
  pinMode(green, OUTPUT);
  pinMode(blue, OUTPUT);
  TinyWireS.begin(slave);
}
void loop(){
  digitalWrite(red, HIGH);
  digitalWrite(green, HIGH);
  digitalWrite(blue, HIGH);
  if(TinyWireS.available()){         
    in = TinyWireS.receive();
  }   
  if(in == 4) 
  {
    digitalWrite(red, LOW);
    delay(1000);    
    digitalWrite(red, HIGH);
    delay(1000);  
  }
  out = in;
  TinyWireS.send(in);
  delay(1000);
  if(TinyWireS.available()){         
    in = TinyWireS.receive();
  }   
  if(in == 1) 
  {
    digitalWrite(green, LOW);
    delay(1000);    
    digitalWrite(green, HIGH);
    delay(1000);  
  }
  out = in;
  TinyWireS.send(in);
  delay(1000);
  if(TinyWireS.available()){         
    in = TinyWireS.receive();
  }   
  if(in == 3) 
  {
    digitalWrite(blue, LOW);
    delay(1000);    
    digitalWrite(blue, HIGH);
    delay(1000);  
  }
  out = in;
  TinyWireS.send(in);
  delay(1000);
}

