/* 
  ATtiny45 
  Network communication
  Slave phototransistor
  TinyWire slave sender
  photostransistor PB3 Pin 4
*/

#include <TinyWireS.h>
#define slavePT  0x26            // i2c slave address (38)

int light = 3;

void setup() {   
  pinMode(light, INPUT);        // set phototransistor as input
  TinyWireS.begin(slavePT);
}

void loop()
{
  
  if (TinyWireS.available()) {
    
  uint8_t data = analogRead(light);
  
  TinyWireS.send(light);
  
  delay(100);
}
}


