/* TEST 
 Bridge receiving
 */

#include <SoftwareSerial.h>
#include <TinyWireM.h>

SoftwareSerial mySerial(3, 4);

#define PT 0x16
#define RGB 0x32

void setup() {
  pinMode(3, INPUT);     
  pinMode(4, OUTPUT);  
  TinyWireM.begin();
  mySerial.begin(9600);
}

void loop() {  
  byte dataPT = 0;
  byte dataRGB = 0;
/*
  if(TinyWireM.requestFrom(0x16, 1) > 0){ 
    dataPT =  TinyWireM.receive();
    mySerial.println("PT");
    mySerial.println(dataPT);
  }  
*/
  if(TinyWireM.requestFrom(RGB, 1) > 0){ 
    dataRGB =  TinyWireM.receive();
    mySerial.println("RGB");
    mySerial.println(dataRGB);
  }

  delay(1000);
}

